import { createAsyncThunk } from "@reduxjs/toolkit";
import axios from "axios";
import { LOADING_END, LOADING_START } from "../../../lib/redux/slices/appSlice";

export const getAutomaticDirectBuyingPermissionState = createAsyncThunk(
  "GET_AUTO_DIRECT_BUYING",
  async (d, { dispatch }) => {
    dispatch(LOADING_START());
    const { data, status } = await axios.get(
      "automatic-direct-buying-permission/"
    );
    dispatch(LOADING_END());
    return { data, status };
  }
);

export const provinceAutomaticDirectBuyingPermission = createAsyncThunk(
  "PROVINCE_AUTO_DIRECT_BUYING",
  async (d, { dispatch }) => {
    dispatch(LOADING_START());
    const { data, status } = await axios.put(
      "automatic-direct-buying-permission/0/",
      d
    );
    dispatch(LOADING_END());
    return { data, status };
  }
);
